%define 	_prefix ""
Summary: 	A collection of basic system utilities.
Name: 		util-linux
Version: 	2.13
Release: 	3
Copyright: 	distributable
Group: 		Applications
URL:		http://www.kernel.org/pub/linux/utils/util-linux/
Source0: 	%{name}-%{version}-pre7.tar.bz2
Patch0:		%{name}0.diff
Patch1:		util-linux-2.13-umount-sysfs.patch
Patch2:		util-linux-2.13-arch.patch
BuildRoot: 	%{_tmppath}/%{name}-root

%description
The util-linux package contains a large variety of low-level system
utilities that are necessary for a Linux system to function.  Among
many features, Util-linux contains the fdisk configuration tool and
the login program.

%prep
%setup -q -n %{name}-%{version}-pre7
%patch0 -p0
%patch1 -p1
%patch2 -p1

%build
%configure \
    --enable-nls \
    --with-pam \
    --enable-partx \
    --enable-rdev \
    --disable-login-utils \
    --enable-kill \
    --enable-write \
    --enable-raw \
    --with-slang \
    --disable-wall \

%define _prefix /usr
make "OPT=$RPM_OPT_FLAGS -s"
gcc $CFLAGS sys-utils/arch.c -o sys-utils/arch

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT; cp sys-utils/arch $RPM_BUILD_ROOT/usr/bin/
cp sys-utils/arch.1 $RPM_BUILD_ROOT/usr/share/man/man1/
mkdir -p $RPM_BUILD_ROOT/bin
cd $RPM_BUILD_ROOT/bin; ln -sf ../usr/bin/{arch,dmesg,more,mount,umount} .
#cd $RPM_BUILD_ROOT/sbin; ln -sf ../usr/sbin/*; .
mv $RPM_BUILD_ROOT/usr/sbin $RPM_BUILD_ROOT; mkdir -p $RPM_BUILD_ROOT/usr/sbin
cd $RPM_BUILD_ROOT/usr/sbin; ln -sf ../../sbin/{ramsize,rdev,readprofile,rootflags,tunelp,vidmode} .
ln -sf hwclock ${RPM_BUILD_ROOT}/sbin/clock

# Correct mail spool path.
perl -pi -e 's,/usr/spool/mail,/var/spool/mail,' ${RPM_BUILD_ROOT}%{_mandir}/man1/login.1
mv $RPM_BUILD_ROOT/usr/share/man $RPM_BUILD_ROOT/usr; rm $RPM_BUILD_ROOT/{usr/bin/kill,usr/man/man1/kill*};

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/bin
/sbin
/usr/bin
/usr/sbin
/usr/man
/usr/share/getopt
/usr/share/locale
